Bug 92359 - (SCSI ISCSI)iscsi module change with 2.4.20 kernel updates
(SCSI ISCSI)iscsi module change with 2.4.20 kernel updates
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 09:21 EDT by Greg Caetano
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Caetano 2003-06-05 09:21:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
iscsi utilities stopped working after up2date of kernel from
2.4.18-27.8.0 to 2.4.20-13 and beyond.

current rpm: iscsi-2.1.0.20-12
No iscsi rpm updates provided for new kernel

below is the listing changes in /lib/modules directory for the
two kernel versions.

./2.4.18-27.8.0/kernel/drivers/addon/iscsi:
-rw-r--r--    1 root     root       114389 Mar 14 07:04 iscsi.o
drwxr-xr-x    2 root     root         4096 Mar 18 08:58 iscsi
./2.4.18-27.8.0debug/kernel/drivers/addon/iscsi:
-rw-r--r--    1 root     root       114421 Mar 14 06:43 iscsi.o
drwxr-xr-x    2 root     root         4096 May 20 09:28 iscsi
./2.4.20-13.8/kernel/drivers/addon/iscsi:
-rw-r--r--    1 root     root       179842 May 12 12:36 iscsi_module.o
drwxr-xr-x    2 root     root         4096 Jun  5 09:04 iscsi
./2.4.20-18.8/kernel/drivers/addon/iscsi:
-rw-r--r--    1 root     root       179842 May 29 07:49 iscsi_module.o


Version-Release number of selected component (if applicable):
kernel-2.4.20

How reproducible:
Always

Steps to Reproduce:
1.running kernel 2.4.18-27.8 install iscsi
2.update kernel from up2date to 2.4.20-13.8

    

Actual Results:  iscsi fails to initialize

Expected Results:  iscsi initialized and continued functioning

Additional info:

needed to back down to the 2.4.18 kernel inorder to continue
running.
Comment 1 Bugzilla owner 2004-09-30 11:41:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.